Bug 1102271 - [GSS] (6.3.x) JBoss Marshalling should not require classes for null fields
Summary: [GSS] (6.3.x) JBoss Marshalling should not require classes for null fields
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Remoting
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER6
: EAP 6.3.0
Assignee: David M. Lloyd
QA Contact: Jitka Kozana
Russell Dickenson
URL:
Whiteboard:
Keywords:
Depends On: 1122327
Blocks: 1102266 1104304 1113768
TreeView+ depends on / blocked
 
Reported: 2014-05-28 16:18 UTC by Brad Maxwell
Modified: 2018-12-09 17:54 UTC (History)
5 users (show)

(edit)
In previous releases of Red Hat JBoss EAP 6, if an object contained a field whose value was null and the object type of the field did not exist on the unmarshalling side, attempts to unmarshall the object would fail with a ClassNotFoundException for the field.

This issue has been corrected in this release of the product.
Clone Of:
: 1104304 1122327 (view as bug list)
(edit)
Last Closed: 2014-08-06 14:34:38 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBMAR-161 Major Resolved Do not write full class descriptor for fields 2016-01-16 01:35 UTC

Description Brad Maxwell 2014-05-28 16:18:48 UTC
If an object contains a field whose value is null, the field's object type should not be loaded / instatiated since it has no value.

Comment 1 David M. Lloyd 2014-07-01 01:41:13 UTC
Clarified the doc text change a bit.

Comment 2 Ladislav Thon 2014-07-10 11:45:19 UTC
First, sorry for late notice.

EAP 6.3.0.ER9 contains JBoss Marshalling 1.4.6, which indeed fixes this issue (JBMAR-161), which is why I'm marking this as verified.

However, the customer case linked from this bugs requires additional fixes for JBMAR-162: one fix is included in JBoss Marshalling 1.4.7 and the other was not released in 1.4.x branch yet. So here's the warning: if EAP 6.3 remains on Marshalling 1.4.6, the customer case _won't_ be fixed. (I know there is a one-off patch for 6.2, but providing a warning seems to be a good idea anyway.)

Comment 3 sgilda 2014-07-29 20:19:21 UTC
This release note should describe https://issues.jboss.org/browse/JBMAR-161

Brad, can you please review the following proposed release notes text? The change is based on the last paragraph in this Bug comment: https://bugzilla.redhat.com/show_bug.cgi?id=1123331#c0

Proposed release notes text:

In previous releases of Red Hat JBoss EAP 6, if an object contained a field whose value was null or of a different object type than the field, attempts to load the field's object type could cause unmarshalling operations to fail.

This issue has been corrected in this release of the product.

Comment 5 sgilda 2014-07-29 21:08:22 UTC
Spoke with Brad and we talked about this:

In previous releases of Red Hat JBoss EAP 6, if an object contained a field whose value was null and the object type of the field did not exist on the unmarshalling side, attempts to load the field's object type could cause unmarshalling operations to fail with a ClassNotFoundException for ClassOnlyOnMarshallingsSide.

This issue has been corrected in this release of the product.

Comment 6 sgilda 2014-07-29 21:11:07 UTC
Replaced it with Brad's text.


Note You need to log in before you can comment on or make changes to this bug.